package com.sqx.modules.tbCoupon.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.sqx.common.utils.Result;
import com.sqx.modules.pay.entity.PayDetails;
import com.sqx.modules.tbCoupon.entity.TbCoupon;
import com.sqx.modules.tbCoupon.entity.TbCouponUser;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author www.javacoder.top
 * @since 2022-11-18
 */
public interface TbCouponUserService extends IService<TbCouponUser> {

    IPage<TbCouponUser> getMyCouponList(Integer page, Integer limit, TbCouponUser couponUser);


    Result receiveActivity(Long userId, Long couponId);


    void giveCoupon(TbCoupon tbCoupon, Long userId);

    Result giveUserCoupon(String userIds, Long couponId, Integer num);

    Result newUserCoupon(Long userId);

}
